
Redmine - Defect #6774

HTTP/500 when accessing my issues page

2010-10-29 14:38 - Davide Ferrari

Status: Closed Start date: 2010-10-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20100920163036

About your Redmine plugins

Stuff To Do Plugin          0.4.0

Redmine My Widgets plugin   0.1.0

Messenger Plugin            0.0.9

Scrumdashboard plugin       1.2

Redmine Charts              0.1.0

Redmine Schedules plugin    0.4.2

Mylyn Connector plugin      2.7.0.stable.RC3

Redmine Todo Lists plugin   0.0.4.1

Redmine Backlogs            master branch (unstable)

Timesheet Plugin            0.5.0

 this is the erro that I get when I click on "View all issues" in /my/page

Processing IssuesController#index (for 10.15.12.97 at 2010-10-29 14:47:00) [GET]

  Parameters: {"set_filter"=>"1", "action"=>"index", "assigned_to_id"=>"me", "controller"=>"issues

", "sort"=>"priority:desc,updated_on:desc"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (undefined method `module_enabled?' for nil:NilClass) on line #14 of app

/views/issues/_sidebar.rhtml:

11: <% if User.current.allowed_to?(:view_gantt, @project, :global => true) %>

12:     <%= link_to(l(:label_gantt), :controller => 'gantts', :action => 'show', :project_id => @p

roject) %><br />

13: <% end %>

14: <%= call_hook(:view_issues_sidebar_planning_bottom) %>

15: 

16: <% unless sidebar_queries.empty? -%>

17: <h3><%= l(:label_query_plural) %></h3>

    lib/redmine/hook.rb:63:in `send'

    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:63:in `each'

    lib/redmine/hook.rb:63:in `call_hook'

    lib/redmine/hook.rb:60:in `call_hook'
    lib/redmine/hook.rb:144:in `call_hook'

    app/views/issues/_sidebar.rhtml:14:in `_run_rhtml_app47views47issues47_sidebar46rhtml_locals_o

bject_sidebar'

    app/views/issues/index.rhtml:77:in `_run_rhtml_app47views47issues47index46rhtml'

    app/helpers/application_helper.rb:816:in `content_for'

    app/views/issues/index.rhtml:76:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:84:in `index'

    app/controllers/issues_controller.rb:83:in `index'

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

 the same eerror appears with every other link under the /issues controller (so, even with no filters at all).

Don't know if it's related to the redmine core or to some plugin (I can't understand from the log)

History

#1 - 2010-10-29 15:13 - Felix Schäfer

The error happens while calling a hook, i.e. in a plugin. Grep through your plugins to see which hooks into view_issues_sidebar_planning_bottom,

and that's probably the culprit.

#2 - 2010-11-03 18:01 - Davide Ferrari

- Status changed from New to Resolved

Ok, it's related to the Redmine Backlog plugin. I'll bug them, then :) thanks

#3 - 2010-11-03 19:47 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
